
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>多套方案来提高python web框架的并发处理能力 / iVAN</title>

    <meta name="description" content="多套方案来提高python web框架的并发处理能力 Python常见部署方法有 : fcgi :用spawn-fcgi或者框架自带的工具对各个project分别生成监听进程,然后和http 服务互动 wsgi :利用http服务的mod_wsgi模块来跑各个project(Web应用程序或框架简单而通用的Web服务器 之间的接口). uWSGI 是一款像php-cgi一样监听同一端口,进行统一管理和负载平衡的工具,uWSGI,既不用wsgi协议也不用fcgi协议,而是自创了一个uwsgi的协议,据说该协议大约是fcgi协议的10倍那么快. 其实">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">多套方案来提高python web框架的并发处理能力</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>Python常见部署方法有 ：</p>
<p>fcgi ：用spawn-fcgi或者框架自带的工具对各个project分别生成监听进程，然后和http 服务互动</p>
<p>wsgi ：利用http服务的mod_wsgi模块来跑各个project(Web应用程序或框架简单而通用的Web服务器 之间的接口)。</p>
<p>uWSGI 是一款像php-cgi一样监听同一端口，进行统一管理和负载平衡的工具，uWSGI，既不用wsgi协议也不用fcgi协议，而是自创了一个uwsgi的协议，据说该协议大约是fcgi协议的10倍那么快。</p>
<p>其实 WSGI 是分成 server 和 framework (即 application) 两部分 (当然还有 middleware)。严格说 WSGI 只是一个协议, 规范 server 和 framework 之间连接的接口。</p>
<p>WSGI server 把服务器功能以 WSGI 接口暴露出来。比如 mod_wsgi 是一种 server, 把 apache 的功能以 WSGI 接口的形式提供出来。</p>
<p>WSGI framework 就是我们经常提到的 Django 这种框架。不过需要注意的是, 很少有单纯的 WSGI framework , 基于 WSGI 的框架往往都自带 WSGI server。比如 Django、CherryPy 都自带 WSGI server 主要是测试用途, 发布时则使用生产环境的 WSGI server。而有些 WSGI 下的框架比如 pylons、bfg 等, 自己不实现 WSGI server。使用 paste 作为 WSGI server。</p>
<p>Paste 是流行的 WSGI server, 带有很多中间件。还有 flup 也是一个提供中间件的库。</p>
<p>搞清除 WSGI server 和 application, 中间件自然就清楚了。除了 session、cache 之类的应用, 前段时间看到一个 bfg 下的中间件专门用于给网站换肤的 (skin) 。中间件可以想到的用法还很多。</p>
<p>这里再补充一下, 像 django 这样的框架如何以 fastcgi 的方式跑在 apache 上的。这要用到 flup.fcgi 或者 fastcgi.py (eurasia 中也设计了一个 fastcgi.py 的实现) 这些工具, 它们就是把 fastcgi 协议转换成 WSGI 接口 (把 fastcgi 变成一个 WSGI server) 供框架接入。整个架构是这样的: django -&gt; fcgi2wsgiserver -&gt; mod_fcgi -&gt; apache 。</p>
<p>虽然我不是 WSGI 的粉丝, 但是不可否认 WSGI 对 python web 的意义重大。有意自己设计 web 框架, 又不想做 socket 层和 http 报文解析的同学, 可以从 WSGI 开始设计自己的框架。在 python 圈子里有个共识, 自己随手搞个 web 框架跟喝口水一样自然, 非常方便。或许每个 python 玩家都会经历一个倒腾框架的</p>
<p>uWSGI的主要特点如下：</p>
<p>超快的性能。</p>
<p>低内存占用（实测为apache2的mod_wsgi的一半左右）。</p>
<p>多app管理。</p>
<p>详尽的日志功能（可以用来分析app性能和瓶颈）。</p>
<p>高度可定制（内存大小限制，服务一定次数后重启等）。</p>
<p>uwsgi的官方文档：</p>
<p>http://projects.unbit.it/uwsgi/wiki/Doc</p>
<p>nginx.conf</p>
<pre>
location / {
  include uwsgi_params
  uwsgi_pass 127.0.0.1:9090
}</pre>
<p>启动app</p>
<p>uwsgi -s :9090 -w myapp</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索框架<br />
                    ，                app低内存<br />
                    ，                server<br />
                    ，                协议<br />
                    ，                uwsgi<br />
                    ，                中间件<br />
                    ，                前段框架<br />
                    ，                fcgi<br />
                    ，                mod python<br />
                    ，                wsgi<br />
                    ，                一个<br />
                    ，                接口并发测试<br />
                    ，                Pylons<br />
                                    eurasia<br />
                                    python 并发框架、python 高并发框架、python多进程并发框架、提高apache 并发能力、java 高并发框架，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-14 18:09:12</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e5%8d%8f%e8%ae%ae/" title="协议">协议</a>, <a href="https://www.iamivan.net/tag/server/" title="server">server</a>, <a href="https://www.iamivan.net/tag/%e6%a1%86%e6%9e%b6/" title="框架">框架</a>, <a href="https://www.iamivan.net/tag/%e4%b8%ad%e9%97%b4%e4%bb%b6/" title="中间件">中间件</a>, <a href="https://www.iamivan.net/tag/app%e4%bd%8e%e5%86%85%e5%ad%98/" title="app低内存">app低内存</a>, <a href="https://www.iamivan.net/tag/pylons/" title="Pylons">Pylons</a>, <a href="https://www.iamivan.net/tag/%e6%8e%a5%e5%8f%a3%e5%b9%b6%e5%8f%91%e6%b5%8b%e8%af%95/" title="接口并发测试">接口并发测试</a>, <a href="https://www.iamivan.net/tag/fcgi/" title="fcgi">fcgi</a>, <a href="https://www.iamivan.net/tag/%e5%89%8d%e6%ae%b5%e6%a1%86%e6%9e%b6/" title="前段框架">前段框架</a>, <a href="https://www.iamivan.net/tag/uwsgi/" title="uwsgi">uwsgi</a>, <a href="https://www.iamivan.net/tag/mod-python/" title="mod python">mod python</a>, <a href="https://www.iamivan.net/tag/wsgi/" title="wsgi">wsgi</a>, <a href="https://www.iamivan.net/tag/eurasia/" title="eurasia">eurasia</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>多套方案来提高python web框架的并发处理能力的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/2MW7OAM.html" rel="bookmark">Python Web框架Pylons中使用MongoDB的例子</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 这篇文章主要介绍了Python Web框架Pylons中使用MongoDB 的例子,大家参考使用 Pylons 经过漫长的开发,终于放出了 1.0 版本.对于正规的产品开发来说,1.0 版本的意义很大,这表明 Pylons 的 API 终于稳定下来了.   Pylons 虽是山寨 Rails 而生,但作为一个纯 Python 的 Web 框架,它有一个鲜明的特点:可定制性强.框架每一层都没重新发明轮子,而是尽量整合现有的 Python 库.在 MVC 的 Model 层,Pylons 默认支持			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVNoBYz.html" rel="bookmark">&lbrack;原&rsqb;Python Web框架Django初尝试</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				之前没接触Python Web框架Django,今天下午抽1小时时间尝试了一下,总结一下,供各位和我一样的Django新手们阅读,如果有问题,请高手们指教.   1.安装 Django 1.按照以下步骤下载并安装 Django, 多种下载安装方式: 1).直接下载安装: root@localhost svn co http://code.djangoproject.com/svn/django/trunk/ django_src root@localhost cd django_src root			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqR8ARp.html" rel="bookmark">简单而直接的Python web 框架：web&period;py</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				来源:https://www.oschina.net/question/5189_4306 web.py 是一个Python 的web 框架,它简单而且功能强大.web.py 是公开的,无论用于什么用途都是没有限制的. 先让大家感受一下web.py 的简单而强大: import web urls = ( '/(.*)', 'hello' ) class hello: def GET(self, name): i = web.input(times=1) if not name: name = '			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkemmjb.html" rel="bookmark">Python Web框架介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天,有非常多的Python框架,用来帮助你更轻松的创建web应用.这些框架把相应的模块组织起来,使得构建应用的时候可以更快捷,也不用去关注一些细节(例如socket和协议),所以需要的都在框架里了.接下来我们会介绍不同的选项. Python发源于八十年代后期.开发者是Centrum Wiskunde &amp; Informatica的Guido van Rossum,这是位于荷兰阿姆斯特丹科学园区的一个数学和计算机科学研究中心.之后Van Rossum一直是Python开发很有影响的人物.事实上,社			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1rdarp.html" rel="bookmark">Python Web框架Pylons中使用MongoDB的例子&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Pylons 经过漫长的开发,终于放出了 1.0 版本.对于正规的产品开发来说,1.0 版本的意义很大,这表明 Pylons 的 API 终于稳定下来了. Pylons 虽是山寨 Rails 而生,但作为一个纯 Python 的 Web 框架,它有一个鲜明的特点:可定制性强.框架每一层都没重新发明轮子,而是尽量整合现有的 Python 库.在 MVC 的 Model 层,Pylons 默认支持 SQLAlchemy.现在 NoSQL 很火 MongoDB 很热.在 Pylons 中应用 Mong			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNvqRxM.html" rel="bookmark">Python Web框架Flask下网站开发入门实例&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.Flask简介 Flask 是一个 Python 实现的 Web 开发微框架.官网:http://flask.pocoo.org/ 二.Demo 1.代码结构 复制代码 代码如下: . ├── blog.py ├── static │   ├── css │   │   └── index.css │   ├── images │   │   ├── cat.jpg │   │   └── sheying1229.jpg │   └── js └── templates     ├── in			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlQJQVp.html" rel="bookmark">Python Web 框架 Django</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 Django 项目是一个定制框架,它源自一个在线新闻 Web 站点,于 2005 年以开源的形式被释放出来.Django 框架的核心组件有:用于创建模型的对象关系映射为最终用户设计的完美**界面一流的 URL 设计设计者友好的模板语言缓存系统			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyWZXJz.html" rel="bookmark">Python Web框架Flask中使用新浪SAE云存储实例&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				对于部署在新浪应用引擎SAE上的项目,使用新浪SAE云存储是不错的存储方案. 新浪SAE云存储仅能在SAE环境中正常使用,对它进行简单封装后,可以直接在Flask中使用,项目代码见GitHub上Flask-SaeStorage. 使用示例代码: 复制代码 代码如下: from flask import Flask from flask_saestorage import SaeStorage   SAE_ACCESS_KEY = 'SAE Access Key' SAE_SECRET_KEY =			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zV7VAQb.html" rel="bookmark">Python Web框架Flask中使用七牛云存储实例&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				对于小型站点,使用七牛云存储的免费配额已足够为站点提供稳定.快速的存储服务 七牛云存储已有Python SDK,对它进行简单封装后,就可以直接在Flask中使用了,项目代码见GitHub上Flask-QiniuStorage. 使用示例代码: 复制代码 代码如下: from flask import Flask from flask_qiniustorage import Qiniu   QINIU_ACCESS_KEY = '七牛 Access Key' QINIU_SECRET_KEY =			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9ze4vNp.html" rel="bookmark" class="title">反射 程序集-成功添加程序集到缓存中 但assmbly找不到该文件</a>
					<div>
						问题描述 成功添加程序集到缓存中 但assmbly找不到该文件 成功将DLL添加到程序集中了.但是C:Windowsassembly目录下找不到该DLL					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XpmYJap.html" rel="bookmark" class="title">Rails系统中的AJAX开发技术简析&lpar;1&rpar;</a>
					<div>
						ajax|rails 一. Ajax的简短历史 在短短几个月内,Ajax从一种十分模糊稀罕的技术一下变成最热门的东西.本文将介绍极其容易使用的Ajax支持-作为Ruby on Rails web应用程 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5LxDM.html" rel="bookmark" class="title">java中的匿名类</a>
					<div>
						匿名类 匿名类是不能有名称的类,所以没办法引用它们.必须在创建时,作为new语句的一部分来声明它们. 这就要采用另一种形式的new语句,如下所示: new &lt;类或接口&gt; &lt;类的主体& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgXDAp.html" rel="bookmark" class="title">ORACLE 回滚段表空间数据文件丢失或损坏处理方法&lpar;1&rpar;</a>
					<div>
						oracle|数据 问题描述:这是一个回滚段表空间数据文件丢失或损坏的情景,这时oracle不能识别相应的数据文件.当你试图startup数据文件时会报ORA-1157,ORA-1110,并且可能会伴 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnqEoM.html" rel="bookmark" class="title">上传图片并生成略缩图&lpar;c&num;&rpar;</a>
					<div>
						上传|上传图片 参数说明FileBox:上传表单中的表单名SavePath:保存路径ThumbnailWidth:略缩图宽ThumbnailHeight:略缩图高FilePath:文件保存路径(输出参 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9MxZlQz.html" rel="bookmark" class="title">浅谈如何做好网站内容规划与编辑</a>
					<div>
						网站是一个平台,一种媒体,以传递信息和为用户提供有价值的内容为主要目的,也是应为这个原因有不少的搜索引擎优化者一直认同者这个词--&quot;内容为王&quot;.对于seo来说,在网站上线之后,内容 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2MWk8XM.html" rel="bookmark" class="title">浅谈打造高效网站排名需做好的五大要点</a>
					<div>
						在网站优化过程中,同类型的网站肯定会一个排名高一个排名高,而且即使是使用同样的优化方法也一样会出现排名高低之分.然而对于站长而言,什么样的标准才是衡量网站优化方案质量的主要指标呢?站长在优化过程中如何 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VzwYB5M.html" rel="bookmark" class="title">商业周刊：Google和Zoho在中印挑战微软Office</a>
					<div>
						北京时间9月14日消息,商业周刊网络版发表文章称,后起之秀--Google和Zoho在印度和中国推出低价.易用的办公软件,旨在挑战微软主导地位.下面是分析文章: 印度东部克勒格普尔印度理工学院(Ind ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXBxVWb.html" rel="bookmark" class="title">Python编码错误的处理</a>
					<div>
						如题,我用python 解析文件(文件中含有中文),并写入其他文件时报错: UnicodeEncodeError: 'ascii' codec can't encode characters 经过go ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvK6K1p.html" rel="bookmark" class="title">&period;NET 4并行（多核）编程系列之一 入门介绍</a>
					<div>
						本篇文章的议题如下: 1. 并行编程和多线程编程的区别. 2. 并行编程技术的利弊 3. 何时采用并行编程 1.并行编程和多线程编程的区别. 1.1并行编程. 现在随着多核计算机的普及,并行编程技术, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bElR2Zz.html" rel="bookmark" class="title">Spring源代码解析（七）：Spring AOP中对拦截器调用的实现</a>
					<div>
						前面我们分析了Spring AOP实现中得到Proxy对象的过程,下面我们看看在Spring AOP 中拦截器链是怎样被调用的,也就是Proxy模式是怎样起作用的,或者说Spring是怎样为 我们提供 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqL0ZZb.html" rel="bookmark" class="title">J2ME 3D编程&mdash;&mdash;第一个3D程序&lpar;附源代码&rpar;</a>
					<div>
						参考WTK2.2提供的demo,完成了第一个3D程序,虽然很简单,而且有些问题还不是很清楚,还是把代码共享出来和愿意学习J2ME 3D编程的朋友一起学习. 关于3D编程的资料,可以查阅我的blog.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyrEykp.html" rel="bookmark" class="title">J2ME下的游戏精灵的碰撞检测</a>
					<div>
						碰撞检测又称为冲突检测,是确定精灵之间是否相互冲突的一种方法.碰撞检测用来确定精灵之间何时会发生物理的相互作用.例如,在游戏中,如果玩家精灵与小飞机精灵发生碰撞,玩家生命值将会降低.碰撞检测就是用来检 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAaxeZM.html" rel="bookmark" class="title">如何查看最后使用工作薄的用户</a>
					<div>
						在Excel2003中如何查看最后使用工作薄的用户 在Excel 2003中,对于打开过工作簿的用户,不管是否有进行修改,都可使用一个小技巧来查看最后打开该工作簿的用户,其具体操作为: 在目标工作簿的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRyB0Bb.html" rel="bookmark" class="title">怎样在PowerPoint演示文稿中设置自定义动画</a>
					<div>
						  1.制作进入动画效果 选中需要设置动画效果的对象,如文本.图片等.单击&quot;动画&quot;选项卡,单击&quot;无动画&quot;后的向下箭头,选择一种动画效果即可. 2.制作强调动画效 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEWAQ9p.html" rel="bookmark" class="title">解决win7安装后只有C盘的问题方法</a>
					<div>
						  自从ghost系统安装方式诞生以来,重装windows操作系统已不再是难事,很多用户都会通过U盘.硬件等五花八门的安装方式来对系统进行重装,虽然系统的安装变得非常的简单化,但还是有很多用户在安装过 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQgROp.html" rel="bookmark" class="title">linux实时线程调度错误问题</a>
					<div>
						问题描述 linux实时线程调度错误问题 测试程序如下,创建了3个SCHED__FIFO的实时线程,线程优先级不同,按理说应该是高优先级的先运行,也就是thread3运行完之后thread2运行,th ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA7V4vz.html" rel="bookmark" class="title">下拉刷新对象RefreshObject</a>
					<div>
						下拉刷新对象RefreshObject   效果   说明 1. 分离了动画实现与刷新逻辑 2. 你可以根据自己的需要,设计自己的动画效果,你的动画只需要继承协议,实现协议里面的方法即可 3. 本设计 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boR5Ojz.html" rel="bookmark" class="title">数据不更新-对GridView的一列数据进行修改，点击保存后，数据并没有更新</a>
					<div>
						问题描述 对GridView的一列数据进行修改,点击保存后,数据并没有更新 protected void Button1_Click(object sender, EventArgs e) { for ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7qVoz.html" rel="bookmark" class="title">&lbrack;翻译&rsqb; ATTutorialController</a>
					<div>
						ATTutorialController https://github.com/AfonsoTsukamoto/ATTutorialController   A simple to use tutor ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQGKLp.html" rel="bookmark" class="title">中国DT城市智能服务指数研究报告</a>
					<div>
						报告摘要 lÂ  从IT到DT的城市服务 以控制为出发点的IT时代,正在走向激活生产力为目的DT时代.DT城市,是以&quot;云网端&quot;为城市新型基础设施,以大数据为城市新型生产资料,以数据 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA798Az.html" rel="bookmark" class="title">未来已来！阿里小蜜AI技术揭秘</a>
					<div>
						1.双11的挑战与服务模式的转型 在全球人工智能领域不断发展的今天,包括Google.Facebook.Microsoft.Amazon.Apple等互联公司相继推出了自己的智能私人助理和机器人平台, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0R8ODz.html" rel="bookmark" class="title">《嵌入式系统数字视频处理权威指南》&mdash;&mdash;2&period;3数字视频：颜色空间</a>
					<div>
						2.3数字视频:颜色空间 颜色空间就是我们指定.产生和可视化颜色的方法.每个像素具有一定的颜色,简单地说,其为红色.绿色和蓝色的组合.我们用8比特表示每个颜色的值.如果像素是纯红的,像素的红色分量将会 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRrLep.html" rel="bookmark" class="title">为什么性能优化中，设置style属性会引起reflow&quest;</a>
					<div>
						问题描述 为什么性能优化中,设置style属性会引起reflow? 在学习性能优化的时候,看到repaint和reflow,说每设置一次style就会引起一次reflow.那么如果style设置的时候 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKjBEb.html" rel="bookmark" class="title">购物车该怎么设计</a>
					<div>
						这篇文章不是讨论电商的购物车的流程设计,UI设计,这些都是用户购物的过程.我们应该关心,用户把东西放到购物车里面之后,接下来会怎么样. 先调查一下,各位觉得,PC上,APP上,WAP上,对同一个用户, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boK0qdb.html" rel="bookmark" class="title">C&plus;&plus;第8周项目3 - 分数类中的运算符重载</a>
					<div>
						课程首页地址:http://blog.csdn.net/sxhelijian/article/details/7910565,本周题目链接:http://blog.csdn.net/sxhelijia ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKG2Lb.html" rel="bookmark" class="title">数据证明百度指数跟关键词实际搜索人数的差别</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 最近一直在做 影楼实景 这个关键词 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXPnmz.html" rel="bookmark" class="title">keepalived vrrp script&vert;interface weight when positive&comma;nagtive&comma;zero &amp;amp&semi; vrrp&amp;&num;039&semi;s status transition</a>
					<div>
						本文以实例的形式来展示一下脚本的weight对vrrp的影响(状态或优先级). 注意优先级的变化可能导致vrrp master重新选举, 从而导致状态的变化. 而直接导致状态的变化则是当script  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgR89Eb.html" rel="bookmark" class="title">继 OpenAI 之后，DeepMind 开源深度学习训练平台 DeepMind Lab</a>
					<div>
						编者按:今年四月,由马斯克和知名风投专家 Peter Thiel.Y Combinator 创始人 Sam Altman 共同创立的 AI 研究组织对外开放了其 AI 训练平台 OpenAI Gym. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkAe5rb.html" rel="bookmark" class="title">HIFI音箱中最常用的七种音箱摆位方法</a>
					<div>
						买回中意的音箱后,很多朋友会感觉到效果没有在商家试音室里听到的那么好,甚至会觉得换了一套音箱似的.我们首先要明白一个观点:音箱与聆听空间是一体的,声音的 各种表现都是在音箱与聆听空间二者的互动中产生. ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
